Bug 1255781 - /bin/bodhi does not work with new bodhi2 instance
/bin/bodhi does not work with new bodhi2 instance
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: bodhi (Show other bugs)
24
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Randy Barlow
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-21 10:30 EDT by Tim Flink
Modified: 2017-08-08 08:09 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-08-08 08:09:25 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tim Flink 2015-08-21 10:30:48 EDT
Description of problem:

Multiple functions offered by the /bin/bodhi client are no longer working after the production Bodhi instance for Fedora was upgraded to bodhi2.

From my testing so far, '--critpath' and '--untested' are broken, '-m' mostly works but ends in a KeyError.


Version-Release number of selected component (if applicable):

0.9.12.2-1.fc21

How reproducible:

every time

Steps to Reproduce:
run /bin/bodhi --critpath or /bin/bodhi --untested or /bin/bodhi -m (assuming you have updates to query)

Actual results:

$ bodhi --critpath
Getting a list of critical path updates...
Traceback (most recent call last):
  File "/usr/bin/bodhi", line 532, in <module>
    main()
  File "/usr/bin/bodhi", line 393, in main
    'release': opts.release,
  File "/usr/lib/python2.7/site-packages/fedora/client/openidbaseclient.py", line 360, in send_request
    output = func(method, **kwargs)
  File "/usr/lib/python2.7/site-packages/requests/sessions.py", line 508, in post
    return self.request('POST', url, data=data, json=json, **kwargs)
TypeError: request() got an unexpected keyword argument 'req_params'


$ bodhi --untested
Usage: bodhi [options] [build...|package]

Command line tool for interacting with Bodhi

Options:
  --version             show program's version number and exit
  -h, --help            show this help message and exit
< snip rest of help output>

$ bodhi -m
<snipped list of my updates>
Traceback (most recent call last):
  File "/usr/bin/bodhi", line 532, in <module>
    main()
  File "/usr/bin/bodhi", line 407, in main
    log.info(data['title'])
KeyError: 'title'

Expected results:

the /bin/bodhi utility should work for common use cases
Comment 1 Petr Pisar 2015-08-24 04:19:44 EDT
Requesting push to stable spits out this backtrace:

$ bodhi -R stable perl-Carp-REPL-0.18-3.fc23
Password for ppisar: 
Traceback (most recent call last):
  File "/bin/bodhi", line 537, in <module>
    main()
  File "/bin/bodhi", line 273, in main
    log.info(data['tg_flash'])
KeyError: 'tg_flash'

However the action succeeds as can be confirmed on the web interface.

I noticed the command does not wait for tagging the package into f23-updates-pending. "koji buildinfo perl-Carp-REPL-0.18-3.fc23" displays old tags. It takes a minute or more till the package gets tagged.
Comment 2 Fedora End Of Life 2015-11-04 05:43:16 EST
This message is a reminder that Fedora 21 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 21. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '21'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 21 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 3 Fedora End Of Life 2015-12-02 10:02:33 EST
Fedora 21 changed to end-of-life (EOL) status on 2015-12-01. Fedora 21 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 4 Adam Huffman 2016-09-28 02:56:02 EDT
I'm seeing this on a Fedora 24 box:

bodhi -v -u verdurin -R stable yoshimi-1.4.1-1.fc24
No handlers could be found for logger "fedora.client.bodhi"
Traceback (most recent call last):
  File "/usr/bin/bodhi", line 537, in <module>
    main()
  File "/usr/bin/bodhi", line 273, in main
    log.info(data['tg_flash'])
KeyError: 'tg_flash'

$ rpm -qf $(which bodhi)
bodhi-client-0.9.12.2-4.fc24.noarch
Comment 5 Randy Barlow 2017-07-11 13:40:41 EDT
The Bodhi 2.8.1 client is included with Fedora 26 and should work.
Comment 6 Fedora End Of Life 2017-07-25 15:10:58 EDT
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.
Comment 7 Fedora End Of Life 2017-08-08 08:09:25 EDT
Fedora 24 changed to end-of-life (EOL) status on 2017-08-08. Fedora 24 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.